using System.Collections.Generic;
using System.Windows.Controls;
using Olympics.WSData;

namespace Olympics
{
    public partial class MedalsGrid : UserControl
    {
        public MedalsGrid()
        {
            InitializeComponent();

            // load data
            DataBase.DataUpdated += (s, a) => { LoadData(); };
        }

        private void LoadData()
        {
            DataContext = DataBase.Data;
        }
    }

    public class Countries : List<CountryInfo> { }
}
